Reply
Highlighted
Member
Posts: 1
Registered: ‎08-29-2018

Required field errors on upgrading to latest version of Authorize.Net

Hi

 

I just upgraded Authorize.Net to the latest version 1.9.5. When I tested with a production account and test CC, instead of receiving an error message saying "Transaction declined" (because of test CC), I got error message saying : "Invoice number is required". When i further analyzed , i noticed, my transaction response had 3 error messages with code = 33 : Invoice No is required, Bill To state/Province is required and Phone number is required.

 

When i look at this link : https://developer.authorize.net/api/reference/#transaction-reporting

it doesn't say that these 3 fields are required. So, is this a new change, part of the latest package? If so, is there any documentation available?

 

Please advice.